%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-eyed3
Version:        0.6.17
Release:        6%{?dist}
Summary:        Python module for processing ID3 tags

Group:          Development/Languages
License:        GPLv2+
URL:            http://eyed3.nicfit.net/
Source0:        http://eyed3.nicfit.net/releases/eyeD3-%{version}.tar.gz
Patch0:         eyed3-fix-empty-usertextframes.patch

BuildArch:      noarch
BuildRequires:  python-devel


%description
A Python module and program for processing ID3 tags. Information about
mp3 files(i.e bit rate, sample frequency, play time, etc.) is also
provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.


%prep
%setup -q -n eyeD3-%{version}
%patch0 -p1 -b .emptytextframes


%build
%configure
# Make isn't necessary.


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Remove dup & unnecessary docs
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/eyeD3-%{version}/AUTHORS
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/eyeD3-%{version}/COPYING.gz
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/eyeD3-%{version}/ChangeLog.gz
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/eyeD3-%{version}/README
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/eyeD3-%{version}/THANKS


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/eyeD3
%{_mandir}/man1/*.1.gz
%{python_sitelib}/*


%changelog
* Fri Aug  5 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-6
- Add patch to fix crashes on files with empty UserTextFrames.
- Drop buildroot & clean sections. No longer needed.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.17-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.16-2
- Rebuild for Python 2.6

* Thu Jun 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.16-1
- Update to 0.6.16.

* Sat Mar  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.15-1
- Update to 0.6.15.
- Update license tag.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.14-1
- Update to 0.6.14.

* Sat Feb 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.12-1
- Update to 0.6.12.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-3
- Change BR to python-devel.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-2
- Rebuild against new python.

* Wed Nov 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-2
- Change BR to python.
- Remove unnecessary make in build section.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-1
- Initial FE spec.

